-- LIB WoW

local MAXXP = {}
MAXXP[0] = 60
MAXXP[1] = 70
MAXXP[2] = 80
MAXXP[3] = 85
MAXXP[4] = 90
MAXXP[5] = 100
MAXXP[6] = 110
MAXXP[7] = 120
function GetMaxLevel()
	return MAXXP[GetAccountExpansionLevel()]
end

local FACTION_BAR_COLORS = {
	[0] = {r = RGBToDec(40), g = RGBToDec(40), b = RGBToDec(40)}, -- 0 - Unknown
	[1] = {r = RGBToDec(229), g = RGBToDec(90), b = RGBToDec(67)}, -- 1 - Hated
	[2] = {r = RGBToDec(240), g = RGBToDec(51), b = RGBToDec(51)}, -- 2 - Hostile
	[3] = {r = RGBToDec(241), g = RGBToDec(102), b = RGBToDec(45)}, -- 3 - Unfriendly
	[4] = {r = RGBToDec(255), g = RGBToDec(219), b = RGBToDec(32)}, -- 4 - Neutral
	[5] = {r = RGBToDec(51), g = RGBToDec(241), b = RGBToDec(41)}, -- 5 - Friendly
	[6] = {r = RGBToDec(51), g = RGBToDec(255), b = RGBToDec(147)}, -- 6 - Honored
	[7] = {r = RGBToDec(51), g = RGBToDec(255), b = RGBToDec(180)}, -- 7 - Revered
	[8] = {r = RGBToDec(28), g = RGBToDec(219), b = RGBToDec(255)} -- 8 - Exalted
}
function GetFactionColor(num)
	return FACTION_BAR_COLORS[num]
end
