-- By D4KiR

function D4_HUD.InitSetting()
	local D4HUD_Settings = {}
	D4HUD_Settings.panel = CreateFrame("Frame", "D4HUD_Settings", UIParent)
	D4HUD_Settings.panel.name = D4_HUD.colorauthor .. D4_HUD.author .. " " .. D4_HUD.colorname .. D4_HUD.name

	local Y = -10

	local settings_header = {}
	settings_header.frame = D4HUD_Settings.panel
	settings_header.parent = D4HUD_Settings.panel
	settings_header.x = 10
	settings_header.y = Y
	settings_header.text = D4_HUD.colorauthor .. D4_HUD.author .. " " .. D4_HUD.colorname .. D4_HUD.name
	settings_header.textsize = 24
	D4_HUD.CreateText(settings_header)
	Y = Y - 30



	-- Custom Status Bar
	local settings_epbar = {}
	settings_epbar.name = "showepbar"
	settings_epbar.parent = D4HUD_Settings.panel
	settings_epbar.checked = GetConfig("EPBar")
	settings_epbar.text = "showepbar"
	settings_epbar.x = 10
	settings_epbar.y = Y
	settings_epbar.dbvalue = "EPBar"
	D4_HUD.CreateCheckBox(settings_epbar)
	Y = Y - 20

	local settings_azbar = {}
	settings_azbar.name = "showazbar"
	settings_azbar.parent = D4HUD_Settings.panel
	settings_azbar.checked = GetConfig("AZBar")
	settings_azbar.text = "showazbar"
	settings_azbar.x = 10
	settings_azbar.y = Y
	settings_azbar.dbvalue = "AZBar"
	D4_HUD.CreateCheckBox(settings_azbar)
	Y = Y - 20

	local settings_fabar = {}
	settings_fabar.name = "showfabar"
	settings_fabar.parent = D4HUD_Settings.panel
	settings_fabar.checked = GetConfig("FABar")
	settings_fabar.text = "showfabar"
	settings_fabar.x = 10
	settings_fabar.y = Y
	settings_fabar.dbvalue = "FABar"
	D4_HUD.CreateCheckBox(settings_fabar)
	Y = Y - 20



	-- Coords
	Y = Y - 30
	local settings_coords = {}
	settings_coords.name = "showcoords"
	settings_coords.parent = D4HUD_Settings.panel
	settings_coords.checked = GetConfig("Coords")
	settings_coords.text = "showcoords"
	settings_coords.x = 10
	settings_coords.y = Y
	settings_coords.dbvalue = "Coords"
	D4_HUD.CreateCheckBox(settings_coords)
	Y = Y - 20



	-- Coords
	Y = Y - 30
	local settings_specializationicon = {}
	settings_specializationicon.name = "showspecializationicon"
	settings_specializationicon.parent = D4HUD_Settings.panel
	settings_specializationicon.checked = GetConfig("SpecializationIcon")
	settings_specializationicon.text = "showspecializationicon"
	settings_specializationicon.x = 10
	settings_specializationicon.y = Y
	settings_specializationicon.dbvalue = "SpecializationIcon"
	D4_HUD.CreateCheckBox(settings_specializationicon)
	Y = Y - 20

	local settings_specializationtext = {}
	settings_specializationtext.name = "showspecializationtext"
	settings_specializationtext.parent = D4HUD_Settings.panel
	settings_specializationtext.checked = GetConfig("SpecializationText")
	settings_specializationtext.text = "showspecializationtext"
	settings_specializationtext.x = 10
	settings_specializationtext.y = Y
	settings_specializationtext.dbvalue = "SpecializationText"
	D4_HUD.CreateCheckBox(settings_specializationtext)
	Y = Y - 20



	-- Bags
	Y = Y - 30
	local settings_mainbag = {}
	settings_mainbag.name = "showmainbag"
	settings_mainbag.parent = D4HUD_Settings.panel
	settings_mainbag.checked = GetConfig("Backpack")
	settings_mainbag.text = "showmainbag"
	settings_mainbag.x = 10
	settings_mainbag.y = Y
	settings_mainbag.dbvalue = "Backpack"
	D4_HUD.CreateCheckBox(settings_mainbag)
	Y = Y - 20
	local settings_otherbags = {}
	settings_otherbags.name = "showotherbags"
	settings_otherbags.parent = D4HUD_Settings.panel
	settings_otherbags.checked = GetConfig("CharacterBag")
	settings_otherbags.text = "showotherbags"
	settings_otherbags.x = 10
	settings_otherbags.y = Y
	settings_otherbags.dbvalue = "CharacterBag"
	D4_HUD.CreateCheckBox(settings_otherbags)
	Y = Y - 20



	-- Micro
	Y = Y - 30
	local settings_microbuttons = {}
	settings_microbuttons.name = "showmicrobuttons"
	settings_microbuttons.parent = D4HUD_Settings.panel
	settings_microbuttons.checked = GetConfig("MicroButtons")
	settings_microbuttons.text = "showmicrobuttons"
	settings_microbuttons.x = 10
	settings_microbuttons.y = Y
	settings_microbuttons.dbvalue = "MicroButtons"
	D4_HUD.CreateCheckBox(settings_microbuttons)
	Y = Y - 20

	InterfaceOptions_AddCategory(D4HUD_Settings.panel)
end
